GNU logs - #7782, boring messages


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 04 Jan 2011 12:04:01 +0000
Resent-Message-ID: <handler.7782.B.129414260931380 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 7782
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 7782 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.129414260931380
          (code B ref -1); Tue, 04 Jan 2011 12:04:01 +0000
Received: (at submit) by debbugs.gnu.org; 4 Jan 2011 12:03:29 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pa5bs-0008A4-RQ
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2011 07:03:29 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <theophilusx@HIDDEN>) id 1Pa21s-00034W-OJ
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2011 03:14:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <theophilusx@HIDDEN>) id 1Pa28m-0001qi-DV
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2011 03:21:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RFC_ABUSE_POST,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:53715)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <theophilusx@HIDDEN>) id 1Pa28m-0001qd-B5
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2011 03:21:12 -0500
Received: from [140.186.70.92] (port=43732 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Pa28k-0006Oe-QI
	for bug-gnu-emacs@HIDDEN; Tue, 04 Jan 2011 03:21:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <theophilusx@HIDDEN>) id 1Pa28j-0001q3-L2
	for bug-gnu-emacs@HIDDEN; Tue, 04 Jan 2011 03:21:10 -0500
Received: from ipmail05.adl6.internode.on.net ([150.101.137.143]:1206)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <theophilusx@HIDDEN>) id 1Pa28j-0001pj-1o
	for bug-gnu-emacs@HIDDEN; Tue, 04 Jan 2011 03:21:09 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AtEGAOJkIk15LGD5/2dsb2JhbACWFwEBjhx0rUqHGy6GU4VKBIUhhWM
Received: from ppp121-44-96-249.lns20.syd6.internode.on.net (HELO
	puma.rapttech.com.au) ([121.44.96.249])
	by ipmail05.adl6.internode.on.net with ESMTP; 04 Jan 2011 18:51:05 +1030
From: Tim Cross <theophilusx@HIDDEN>
Date: Tue, 04 Jan 2011 19:21:03 +1100
Message-ID: <87aajhgjv4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -4.6 (----)
X-Mailman-Approved-At: Tue, 04 Jan 2011 07:03:28 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.7 (----)


According to the documentation for scroll-bar-mode, the way to
set/change scroll-bar settings from within elisp code is to use the
set-scroll-bar-mode function. However, this function is only defined
when run under graphic capable environments, such as X, but not in other
environments such as the Linux console. 

This means that if you don't want your elisp or .emacs to raise an
error, you also need to wrap calls to this function inside something
like (when display-graphic-p ...). This is not required for other
display related functions that depend on an environment requiring
support for graphics i.e. tool-bar-mode. 

For consistency and to help reduce environment related bugs, I would
like to request a feature enhancement whereby set-scroll-bar-mode is
defined in all environmennts, even if it is just a stub / do nothing
operation in environments that do not support scroll bars. 

thanks,

Tim

In GNU Emacs 24.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.22.0)
 of 2011-01-04 on puma
Windowing system distributor `The X.Org Foundation', version 11.0.10900000
configured using `configure  '--prefix=/usr/local''





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Tim Cross <theophilusx@HIDDEN>
Subject: bug#7782: Acknowledgement (24.0.50; 24.0.50: set-scroll-bar-mode
 missing under non-GUI environments)
Message-ID: <handler.7782.B.129414260931380.ack <at> debbugs.gnu.org>
References: <87aajhgjv4.fsf@HIDDEN>
X-Gnu-PR-Message: ack 7782
X-Gnu-PR-Package: emacs
Reply-To: 7782 <at> debbugs.gnu.org
Date: Tue, 04 Jan 2011 12:04:02 +0000

Thank you for filing a new bug report with GNU.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 7782 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
7782: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D7782
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 10 Jan 2011 22:52:01 +0000
Resent-Message-ID: <handler.7782.B7782.129469988825947 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7782
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Tim Cross <theophilusx@HIDDEN>
Cc: 7782 <at> debbugs.gnu.org
Received: via spool by 7782-submit <at> debbugs.gnu.org id=B7782.129469988825947
          (code B ref 7782); Mon, 10 Jan 2011 22:52:01 +0000
Received: (at 7782) by debbugs.gnu.org; 10 Jan 2011 22:51:28 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PcQaF-0006kS-OB
	for submit <at> debbugs.gnu.org; Mon, 10 Jan 2011 17:51:28 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PcQaE-0006kI-IC
	for 7782 <at> debbugs.gnu.org; Mon, 10 Jan 2011 17:51:27 -0500
Received: from localhost ([127.0.0.1]:55943)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1PcQhM-0005az-Tr; Mon, 10 Jan 2011 17:58:49 -0500
References: <87aajhgjv4.fsf@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
X-Spook: PLO warfare STARLAN Exon Shell infowar UOP Saudi Arabia
X-Ran: D1%MW+!6[u9(UyRe~"p]SdIlV55:`ra*PeZj-bL[3r,2@!^d5Pm|lP0<zi;s!^}mm"ZV__
X-Hue: blue
X-Attribution: GM
Date: Mon, 10 Jan 2011 17:58:48 -0500
In-Reply-To: <87aajhgjv4.fsf@HIDDEN> (Tim Cross's message of
	"Tue\, 04 Jan 2011 19\:21\:03 +1100")
Message-ID: <frei8kcqmv.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.7 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.7 (----)

Tim Cross wrote:

> According to the documentation for scroll-bar-mode, the way to
> set/change scroll-bar settings from within elisp code is to use the
> set-scroll-bar-mode function. However, this function is only defined
> when run under graphic capable environments, such as X, but not in other
> environments such as the Linux console. 
>
> This means that if you don't want your elisp or .emacs to raise an
> error, you also need to wrap calls to this function inside something
> like (when display-graphic-p ...). This is not required for other
> display related functions that depend on an environment requiring
> support for graphics i.e. tool-bar-mode. 

It's not clear to me whether you mean --without-x builds or --with-x
builds started with -nw (or both), but in either case:

In a with-x build:
emacs -Q -nw

C-h f tool-bar-mode
 tool-bar-mode is an interactive compiled Lisp function in `tool-bar.el'.

C-h f set-scroll-bar-mode
 set-scroll-bar-mode is a compiled Lisp function in `scroll-bar.el'.

(tool-bar-mode 1)             ; no error

(set-scroll-bar-mode 'left)   ; no error


In a without-x build, neither tool-bar-mode nor set-scroll-bar-mode is
defined.

Thus, I see no inconsistency here and don't understand your request.




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 10 Jan 2011 23:39:01 +0000
Resent-Message-ID: <handler.7782.B7782.129470268929984 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7782
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Glenn Morris <rgm@HIDDEN>
Cc: Tim Cross <theophilusx@HIDDEN>, 7782 <at> debbugs.gnu.org
Received: via spool by 7782-submit <at> debbugs.gnu.org id=B7782.129470268929984
          (code B ref 7782); Mon, 10 Jan 2011 23:39:01 +0000
Received: (at 7782) by debbugs.gnu.org; 10 Jan 2011 23:38:09 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PcRJR-0007nZ-9J
	for submit <at> debbugs.gnu.org; Mon, 10 Jan 2011 18:38:09 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1PcRJP-0007nN-En
	for 7782 <at> debbugs.gnu.org; Mon, 10 Jan 2011 18:38:08 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAAcpK01FxIbi/2dsb2JhbACkSnS7T4VMBIRnjiQ
X-IronPort-AV: E=Sophos;i="4.60,303,1291611600"; d="scan'208";a="87571032"
Received: from 69-196-134-226.dsl.teksavvy.com (HELO ceviche.home)
	([69.196.134.226])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	10 Jan 2011 18:45:33 -0500
Received: by ceviche.home (Postfix, from userid 20848)
	id D6FC7660DC; Mon, 10 Jan 2011 18:45:32 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwv4o9gjpjo.fsf-monnier+emacs@HIDDEN>
References: <87aajhgjv4.fsf@HIDDEN>
	<frei8kcqmv.fsf@HIDDEN>
Date: Mon, 10 Jan 2011 18:45:32 -0500
In-Reply-To: <frei8kcqmv.fsf@HIDDEN> (Glenn Morris's message of
	"Mon, 10 Jan 2011 17:58:48 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> In a without-x build, neither tool-bar-mode nor set-scroll-bar-mode is
> defined.

That's the problem.  I know Emacs has many such things already, but
I think these are all bugs: I think we should adopt a convention that
functions/variables should either be specific to one particular kind of
display, or be display-independent.  Since (set-)scroll-bar-mode is not
specific to one particular kind of display (it is shared by w32, X11,
and ns), it should exist independently from any particular display.

Similarly, if a function doesn't signal an error when run in -nw, it
should generally work just as well in --without-x.


        Stefan




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7782: 24.0.50;	24.0.50: set-scroll-bar-mode missing under non-GUI environments
Resent-From: David De La Harpe Golden <david@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 13 Jan 2011 09:38:02 +0000
Resent-Message-ID: <handler.7782.B7782.129491147928843 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7782
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: Glenn Morris <rgm@HIDDEN>, Tim Cross <theophilusx@HIDDEN>, 7782 <at> debbugs.gnu.org
Received: via spool by 7782-submit <at> debbugs.gnu.org id=B7782.129491147928843
          (code B ref 7782); Thu, 13 Jan 2011 09:38:02 +0000
Received: (at 7782) by debbugs.gnu.org; 13 Jan 2011 09:37:59 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PdJd0-0007V9-Lb
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2011 04:37:58 -0500
Received: from harpegolden.net ([65.99.215.13])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <david@HIDDEN>) id 1PdJcy-0007Uy-Ph
	for 7782 <at> debbugs.gnu.org; Thu, 13 Jan 2011 04:37:57 -0500
Received: from [87.198.55.89] (87-198-55-89.ptr.magnet.ie [87.198.55.89])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(Client CN "David De La Harpe Golden",
	Issuer "David De La Harpe Golden Personal CA rev 3" (verified OK))
	by harpegolden.net (Postfix) with ESMTPSA id 6D0AE6841D;
	Thu, 13 Jan 2011 09:45:28 +0000 (GMT)
Message-ID: <4D2EC9B6.4090002@HIDDEN>
Date: Thu, 13 Jan 2011 09:45:26 +0000
From: David De La Harpe Golden <david@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.1.16) Gecko/20101226 Icedove/3.0.11
MIME-Version: 1.0
References: <87aajhgjv4.fsf@HIDDEN>	<frei8kcqmv.fsf@HIDDEN>
	<jwv4o9gjpjo.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwv4o9gjpjo.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.7 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

On 10/01/11 23:45, Stefan Monnier wrote:

> Since (set-)scroll-bar-mode is not
> specific to one particular kind of display (it is shared by w32, X11,
> and ns), it should exist independently from any particular display.

Plus there's no real reason in principle we couldn't draw text-mode 
scroll bars on text terminals too, like old msdos borland ides etc.








Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 13 Jan 2011 12:13:02 +0000
Resent-Message-ID: <handler.7782.B7782.129492078115292 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7782
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: David De La Harpe Golden <david@HIDDEN>
Cc: theophilusx@HIDDEN, monnier@HIDDEN, 7782 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 7782-submit <at> debbugs.gnu.org id=B7782.129492078115292
          (code B ref 7782); Thu, 13 Jan 2011 12:13:02 +0000
Received: (at 7782) by debbugs.gnu.org; 13 Jan 2011 12:13:01 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PdM33-0003yY-0f
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2011 07:13:01 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1PdM31-0003yN-B4
	for 7782 <at> debbugs.gnu.org; Thu, 13 Jan 2011 07:12:59 -0500
Received: from eliz by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <eliz@HIDDEN>)
	id 1PdMAF-0001Sq-TG; Thu, 13 Jan 2011 07:20:27 -0500
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <4D2EC9B6.4090002@HIDDEN> (message from David De La
	Harpe Golden on Thu, 13 Jan 2011 09:45:26 +0000)
References: <87aajhgjv4.fsf@HIDDEN>	<frei8kcqmv.fsf@HIDDEN>
	<jwv4o9gjpjo.fsf-monnier+emacs@HIDDEN>
	<4D2EC9B6.4090002@HIDDEN>
Message-Id: <E1PdMAF-0001Sq-TG@HIDDEN>
Date: Thu, 13 Jan 2011 07:20:27 -0500
X-Spam-Score: -6.5 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.5 (------)

> Date: Thu, 13 Jan 2011 09:45:26 +0000
> From: David De La Harpe Golden <david@HIDDEN>
> Cc: Tim Cross <theophilusx@HIDDEN>, 7782 <at> debbugs.gnu.org
> 
> On 10/01/11 23:45, Stefan Monnier wrote:
> 
> > Since (set-)scroll-bar-mode is not
> > specific to one particular kind of display (it is shared by w32, X11,
> > and ns), it should exist independently from any particular display.
> 
> Plus there's no real reason in principle we couldn't draw text-mode 
> scroll bars on text terminals too, like old msdos borland ides etc.

There's one valid reason, as usual: someone should write the code.
Volunteers are welcome (no, I don't).




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments
Resent-From: Tim Cross <theophilusx@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 15 Jan 2011 23:30:03 +0000
Resent-Message-ID: <handler.7782.B7782.129513420029303 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7782
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Glenn Morris <rgm@HIDDEN>
Received: via spool by 7782-submit <at> debbugs.gnu.org id=B7782.129513420029303
          (code B ref 7782); Sat, 15 Jan 2011 23:30:03 +0000
Received: (at 7782) by debbugs.gnu.org; 15 Jan 2011 23:30:00 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PeFZH-0007ca-7C
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2011 18:29:59 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <theophilusx@HIDDEN>) id 1PeFZE-0007cN-UB
	for 7782 <at> debbugs.gnu.org; Sat, 15 Jan 2011 18:29:57 -0500
Received: from localhost ([127.0.0.1]:35776)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <theophilusx@HIDDEN>) id 1PeFga-0000Fi-Iq
	for 7782 <at> debbugs.gnu.org; Sat, 15 Jan 2011 18:37:32 -0500
Resent-Message-ID: <19762.12220.298428.361256@HIDDEN>
Resent-Date: Sat, 15 Jan 2011 18:37:32 -0500
Resent-From: Glenn Morris <rgm@HIDDEN>
Resent-To: 7782 <at> debbugs.gnu.org
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	HTML_MESSAGE, RCVD_IN_DNSWL_LOW,
	T_DKIM_INVALID autolearn=ham version=3.3.1
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:mime-version:in-reply-to:references:date
	:message-id:subject:from:to:content-type;
	bh=C0bqZ2bDIpFiqKiS/7/CJib1urH6W44AQ0wB5f61nI4=;
	b=OODRkfltqK+ZZrGkzmzxLpU23XluouBZ+iFSPBVM1xK0iPJ0ZQGD0u+36oJBMP97vK
	7D5beWnDSEPTSgrgT8+IOYng5NwPx8vuQTo+Te4H+8k8FVckYQr11Gv1cpNdmiV9EeQ3
	JBKUVxEStDu+xcb+jvF5XcXGyig4uVh/4xsn0=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:content-type;
	b=rNiBbPwDsXZfSFZgr/9KptLpUmoSqe+sknVQ83kH/9LjQvzaJMpXd8xLaF9Ah1FbPA
	Uh/GXRKBfBZvL3GW+ReIqYaMdU+J//7PD6u2hAaYzZxaMPr+8TS71C9gp7g9bvjgVQIL
	dFwibYPi85HkI7nAH5jg+bkPrAv1X+PiWoKmM=
MIME-Version: 1.0
In-Reply-To: <frei8kcqmv.fsf@HIDDEN>
References: <87aajhgjv4.fsf@HIDDEN>
	<frei8kcqmv.fsf@HIDDEN>
Message-ID: <AANLkTim4PHkT_p4a+8sezVUrtJxXiCbMCxSdUadVnJnj@HIDDEN>
Content-Type: multipart/alternative; boundary=90e6ba18199878a68f0499eaf3fa
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
Date: Sun, 16 Jan 2011 10:31:32 +1100
From: Tim Cross <theophilusx@HIDDEN>
X-Bogosity: no, spamicity=0.016172, v1.1.5
X-Spam-Score: -5.9 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-Date: Sat, 15 Jan 2011 18:29:59 -0500
X-Spam-Score: -5.9 (-----)

--90e6ba18199878a68f0499eaf3fa
Content-Type: text/plain; charset=ISO-8859-1

On Tue, Jan 11, 2011 at 9:58 AM, Glenn Morris <rgm@HIDDEN> wrote:

> Tim Cross wrote:
>
> > According to the documentation for scroll-bar-mode, the way to
> > set/change scroll-bar settings from within elisp code is to use the
> > set-scroll-bar-mode function. However, this function is only defined
> > when run under graphic capable environments, such as X, but not in other
> > environments such as the Linux console.
> >
> > This means that if you don't want your elisp or .emacs to raise an
> > error, you also need to wrap calls to this function inside something
> > like (when display-graphic-p ...). This is not required for other
> > display related functions that depend on an environment requiring
> > support for graphics i.e. tool-bar-mode.
>
> It's not clear to me whether you mean --without-x builds or --with-x
> builds started with -nw (or both), but in either case:
>
> In a with-x build:
> emacs -Q -nw
>
> C-h f tool-bar-mode
>  tool-bar-mode is an interactive compiled Lisp function in `tool-bar.el'.
>
> C-h f set-scroll-bar-mode
>  set-scroll-bar-mode is a compiled Lisp function in `scroll-bar.el'.
>
> (tool-bar-mode 1)             ; no error
>
> (set-scroll-bar-mode 'left)   ; no error
>
>
> In a without-x build, neither tool-bar-mode nor set-scroll-bar-mode is
> defined.
>
> Thus, I see no inconsistency here and don't understand your request.
>

OK, I just tried to re-create the error I was getting and now it isn't
occurring. I have updated emacs since logging the report, but cannot see
anything obvious in the change log that would explain the difference, so not
sure. For the record, here is what I did originally and which does not
repeat the problem now.

1. Built emacs under X with the GTK libs (emacs from bzr 24.0.50).
2. Login under the Linux console and run emacs --debug-init

Originally, I got a backtrace with a void function error for
set-scroll-bar-mode. Fixed this by putting the call inside a when block
which tested for a window-syste of X. However, noticed that this was not an
issue with tool-bar-mode. I could place a direct top-level call to
tool-bar-mode in my .emacs without needing to wrap it in a test. This was
the original inconsistency I observed. i.e. tool-bar-mode was defined but
set-scroll-bar-mode was not when running an emacs built with X under a Linux
console (not an xterm or X console).

C-h f tool-bar-mode returns docs on that function as would be expected.
C-h f set-scroll-bar-mode fails saying the function is not defined.

After removing the when block from my .emacs and just having a top level
call to set-scrolll-bar-mode and restarting emacs just now, I no longer get
the error and backtrace. C-h f returns info on both functions.

I cannot see anything in the change log which would explain why it was not
working and now is, so I guess I must have screwed up somewhere. Sorry for
the noise.

The main reason for the report was I figured we should have consistency -
either *all* graphics display related functions are always defined i.e. as
tool-bar-mode appears to be or *all* of them are defined only for
environments where they maie sense, such as X, but above all, avoid
situations where some appear to be defined and some do not.
Personally, I think they should all be defined regardless of the
environment, even if in many environments, they are just function stubs that
don't actually do anything. This avoids having to remember to put such code
inside tests and to somehow know which such functions are defined in which
environments. For the envrionments I've tested, this does not appear to be
the case for tool-bar-mode and set-scroll-bar-mode, so all appears to be
fine for at least these two cases.

thanks,

Tim

--90e6ba18199878a68f0499eaf3fa
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<br><br><div class=3D"gmail_quote">On Tue, Jan 11, 2011 at 9:58 AM, Glenn M=
orris <span dir=3D"ltr">&lt;<a href=3D"mailto:rgm@HIDDEN">rgm@HIDDEN</a>&=
gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 =
0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">
Tim Cross wrote:<br>
<br>
&gt; According to the documentation for scroll-bar-mode, the way to<br>
&gt; set/change scroll-bar settings from within elisp code is to use the<br=
>
&gt; set-scroll-bar-mode function. However, this function is only defined<b=
r>
&gt; when run under graphic capable environments, such as X, but not in oth=
er<br>
&gt; environments such as the Linux console.<br>
&gt;<br>
&gt; This means that if you don&#39;t want your elisp or .emacs to raise an=
<br>
&gt; error, you also need to wrap calls to this function inside something<b=
r>
&gt; like (when display-graphic-p ...). This is not required for other<br>
&gt; display related functions that depend on an environment requiring<br>
&gt; support for graphics i.e. tool-bar-mode.<br>
<br>
It&#39;s not clear to me whether you mean --without-x builds or --with-x<br=
>
builds started with -nw (or both), but in either case:<br>
<br>
In a with-x build:<br>
emacs -Q -nw<br>
<br>
C-h f tool-bar-mode<br>
=A0tool-bar-mode is an interactive compiled Lisp function in `tool-bar.el&#=
39;.<br>
<br>
C-h f set-scroll-bar-mode<br>
=A0set-scroll-bar-mode is a compiled Lisp function in `scroll-bar.el&#39;.<=
br>
<br>
(tool-bar-mode 1) =A0 =A0 =A0 =A0 =A0 =A0 ; no error<br>
<br>
(set-scroll-bar-mode &#39;left) =A0 ; no error<br>
<br>
<br>
In a without-x build, neither tool-bar-mode nor set-scroll-bar-mode is<br>
defined.<br>
<br>
Thus, I see no inconsistency here and don&#39;t understand your request.<br=
></blockquote><div><br></div><div>OK, I just tried to re-create the error I=
 was getting and now it isn&#39;t occurring. I have updated emacs since log=
ging the report, but cannot see anything obvious in the change log that wou=
ld explain the difference, so not sure. For the record, here is what I did =
originally and which does not repeat the problem now.=A0</div>
<div><br></div><div>1. Built emacs under X with the GTK libs (emacs from bz=
r 24.0.50).</div><div>2. Login under the Linux console and run emacs --debu=
g-init</div><div><br></div><div>Originally, I got a backtrace with a void f=
unction error for set-scroll-bar-mode. Fixed this by putting the call insid=
e a when block which tested for a window-syste of X. However, noticed that =
this was not an issue with tool-bar-mode. I could place a direct top-level =
call to tool-bar-mode in my .emacs without needing to wrap it in a test. Th=
is was the original inconsistency I observed. i.e. tool-bar-mode was define=
d but set-scroll-bar-mode was not when running an emacs built with X under =
a Linux console (not an xterm or X console).=A0</div>
<div><br></div><div>C-h f tool-bar-mode returns docs on that function as wo=
uld be expected.</div><div>C-h f set-scroll-bar-mode fails saying the funct=
ion is not defined.</div><div><br></div><div>After removing the when block =
from my .emacs and just having a top level call to set-scrolll-bar-mode and=
 restarting emacs just now, I no longer get the error and backtrace. C-h f =
returns info on both functions.=A0</div>
<div><br></div><div>I cannot see anything in the change log which would exp=
lain why it was not working and now is, so I guess I must have screwed up s=
omewhere. Sorry for the noise.=A0</div><div><br></div><div>The main reason =
for the report was I figured we should have consistency - either *all* grap=
hics display related functions are always defined i.e. as tool-bar-mode app=
ears to be or *all* of them are defined only for environments where they ma=
ie sense, such as X, but above all, avoid situations where some appear to b=
e defined and some do not.=A0</div>
<div>Personally, I think they should all be defined regardless of the envir=
onment, even if in many environments, they are just function stubs that don=
&#39;t actually do anything. This avoids having to remember to put such cod=
e inside tests and to somehow know which such functions are defined in whic=
h environments. For the envrionments I&#39;ve tested, this does not appear =
to be the case for tool-bar-mode and set-scroll-bar-mode, so all appears to=
 be fine for at least these two cases.</div>
<div><br></div><div>thanks,</div><div><br></div><div>Tim</div><div><br></di=
v><div><br></div></div>

--90e6ba18199878a68f0499eaf3fa--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 04 Dec 2021 20:30:02 +0000
Resent-Message-ID: <handler.7782.B7782.163864976826958 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7782
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: Glenn Morris <rgm@HIDDEN>, Tim Cross <theophilusx@HIDDEN>, 7782 <at> debbugs.gnu.org
Received: via spool by 7782-submit <at> debbugs.gnu.org id=B7782.163864976826958
          (code B ref 7782); Sat, 04 Dec 2021 20:30:02 +0000
Received: (at 7782) by debbugs.gnu.org; 4 Dec 2021 20:29:28 +0000
Received: from localhost ([127.0.0.1]:55130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtbex-00070j-RV
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 15:29:28 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mtbes-000708-KP
 for 7782 <at> debbugs.gnu.org; Sat, 04 Dec 2021 15:29:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=l9BzbN85zQ0gacqxbbNSoHCXkV31cKP19VifbEh6wTo=; b=O3RocHRqMVKat1bQQT38nUAd+b
 88vfxWcnuTUaei4QXDHNqCoiRERuTlhKnB85Vren8fo5bvRv8NLBH5Yd5n09Ok/Lat6/kltfSDihx
 PghRnSyLfIiedFyCiJLfDnTx7QkDWlk5LVT9arCiRWhodNkhxMifgK3t+yPpIlQurHLg=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mtbei-0000E5-CI; Sat, 04 Dec 2021 21:29:15 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87aajhgjv4.fsf@HIDDEN>
 <frei8kcqmv.fsf@HIDDEN>
 <jwv4o9gjpjo.fsf-monnier+emacs@HIDDEN>
X-Now-Playing: Kraftwerk's _Exceller 8_: "Klingklang"
Date: Sat, 04 Dec 2021 21:29:09 +0100
In-Reply-To: <jwv4o9gjpjo.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Mon, 10 Jan 2011 18:45:32 -0500")
Message-ID: <87y2502jxm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Monnier <monnier@HIDDEN> writes: >> In a
 without-x build, neither tool-bar-mode nor set-scroll-bar-mode is >> defined.
 > > That's the problem. I know Emacs has many such things already, but >
 I think these are all bugs: I think we sh [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

>> In a without-x build, neither tool-bar-mode nor set-scroll-bar-mode is
>> defined.
>
> That's the problem.  I know Emacs has many such things already, but
> I think these are all bugs: I think we should adopt a convention that
> functions/variables should either be specific to one particular kind of
> display, or be display-independent.  Since (set-)scroll-bar-mode is not
> specific to one particular kind of display (it is shared by w32, X11,
> and ns), it should exist independently from any particular display.

I think that makes sense conceptually, but I think that people that do
a --without-x build do so for a particular reason: They want to have as
lean an Emacs as possible.  (Otherwise -- why bother?)

So we could certainly do this (and similarly for a bunch of other
stuff):

diff --git a/lisp/loadup.el b/lisp/loadup.el
index ed1570e778..b7e63cc656 100644
--- a/lisp/loadup.el
+++ b/lisp/loadup.el
@@ -260,8 +260,7 @@
 (load "jit-lock")
 
 (load "mouse")
-(if (boundp 'x-toolkit-scroll-bars)
-    (load "scroll-bar"))
+(load "scroll-bar")
 (load "select")
 (load "emacs-lisp/timer")
 (load "emacs-lisp/easymenu")

But I'm not sure we'd be doing anybody any favours.

Does anybody have an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 4 Dec 2021 20:29:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 15:29:26 2021
Received: from localhost ([127.0.0.1]:55128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtbew-00070b-M8
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 15:29:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mtbev-00070B-26
 for control <at> debbugs.gnu.org; Sat, 04 Dec 2021 15:29:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=NcSL8nIiEnuo4fgA9UvD1xz0Bpk1MS4B9Pa6BkiWhXc=; b=hIm5ZyngFOI/JUtzY2eWNREyBo
 ceHfS+k18K2lhS2LqYD8t1Of8Xzq1EnVF9zP/tSL5yndtCKbXiRyUs0uI11W40yduekA+T4KAUa5V
 6wDe6yA9MyTHaBKq8UyPZWSEf4beeVFFa9IFIq9HeqqAd1VwjIrMzF1g/mVuc8Hls9mo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mtben-0000EA-D4
 for control <at> debbugs.gnu.org; Sat, 04 Dec 2021 21:29:19 +0100
Date: Sat, 04 Dec 2021 21:29:17 +0100
Message-Id: <87wnkk2jxe.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #7782
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 7782 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 7782 + moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments
Resent-From: Stefan Kangas <stefan@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 29 Dec 2021 03:06:01 +0000
Resent-Message-ID: <handler.7782.B7782.16407471485112 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7782
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: Glenn Morris <rgm@HIDDEN>, Tim Cross <theophilusx@HIDDEN>, Stefan Monnier <monnier@HIDDEN>, 7782 <at> debbugs.gnu.org
Received: via spool by 7782-submit <at> debbugs.gnu.org id=B7782.16407471485112
          (code B ref 7782); Wed, 29 Dec 2021 03:06:01 +0000
Received: (at 7782) by debbugs.gnu.org; 29 Dec 2021 03:05:48 +0000
Received: from localhost ([127.0.0.1]:47845 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2PHg-0001KO-Bn
	for submit <at> debbugs.gnu.org; Tue, 28 Dec 2021 22:05:48 -0500
Received: from mail-pg1-f175.google.com ([209.85.215.175]:33542)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1n2PHe-0001K4-9Z
 for 7782 <at> debbugs.gnu.org; Tue, 28 Dec 2021 22:05:46 -0500
Received: by mail-pg1-f175.google.com with SMTP id 7so4720816pgn.0
 for <7782 <at> debbugs.gnu.org>; Tue, 28 Dec 2021 19:05:46 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=/Sl+kZSg9gbWUz4wPYnl/X9OPCa1cx9gvAf9cj34BZ4=;
 b=sxFty02wFE+OKmuTBI9gbAMmZIVATY2gJIZKkzCdv8MaWtFr7kKmAvXDYd9jMkU3fP
 SAIo6Fs6m5CvM+z7eC9VdE7c6239ZSo5B8iysrEzDgBoVD0QK7w98e56noK8mfajCL7G
 iBDqsINL7DZSdNm3usmKQVof/J0wnI6Iu/RhAoEz7+2eYenCF9GGJFHirePjvHDjX+p2
 5sEwgwi+VdXPaWrO5043KNn54hYTsEA08m9uFHhAJFWalcAVk+1KfyFYPKb3X9KsEkR7
 SawYyDOFek0e4xQ9mlC/TT1Jca+4+pS3sT0I7f5NQzP7v8HFJj5/PBHNk7qfp8QVQLfH
 Bf7Q==
X-Gm-Message-State: AOAM5337neheNX8dGdwCYWuWK1ZueG0BD/DQS/CNqK8cSevY8ODsJWLJ
 SdpDfu5U6CpQxzvVnAvku7Vl0E4EzBAbHxNb/U/iVirn
X-Google-Smtp-Source: ABdhPJwLVFpfP5+89e1DmaPqitq7s/0IB+54SN5JkxjAdw9nz+HRcXUTuElGMLHPBOEZMkGRCnoBEE6g+It1Qw8lBsE=
X-Received: by 2002:a63:5d41:: with SMTP id o1mr21417495pgm.325.1640747140812; 
 Tue, 28 Dec 2021 19:05:40 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 28 Dec 2021 19:05:40 -0800
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87y2502jxm.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 04 Dec 2021 21:29:09 +0100")
References: <87aajhgjv4.fsf@HIDDEN>
 <frei8kcqmv.fsf@HIDDEN>
 <jwv4o9gjpjo.fsf-monnier+emacs@HIDDEN> <87y2502jxm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Tue, 28 Dec 2021 19:05:40 -0800
Message-ID: <CADwFkmmnhXJu=fg2JECo0LEm-ExHFDZsJH+7RRG=mEiR_vxAuA@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Stefan Monnier <monnier@HIDDEN> writes:
>
>>> In a without-x build, neither tool-bar-mode nor set-scroll-bar-mode is
>>> defined.
>>
>> That's the problem.  I know Emacs has many such things already, but
>> I think these are all bugs: I think we should adopt a convention that
>> functions/variables should either be specific to one particular kind of
>> display, or be display-independent.  Since (set-)scroll-bar-mode is not
>> specific to one particular kind of display (it is shared by w32, X11,
>> and ns), it should exist independently from any particular display.
>
> I think that makes sense conceptually, but I think that people that do
> a --without-x build do so for a particular reason: They want to have as
> lean an Emacs as possible.  (Otherwise -- why bother?)
[snip]
> Does anybody have an opinion here?

How many kilobytes does not preloading it save?  It might be that the
savings are so small that the code simplification is more worthwhile.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 29 Dec 2021 14:50:02 +0000
Resent-Message-ID: <handler.7782.B7782.164078938517884 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7782
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Stefan Kangas <stefan@HIDDEN>
Cc: Glenn Morris <rgm@HIDDEN>, Tim Cross <theophilusx@HIDDEN>, Stefan Monnier <monnier@HIDDEN>, 7782 <at> debbugs.gnu.org
Received: via spool by 7782-submit <at> debbugs.gnu.org id=B7782.164078938517884
          (code B ref 7782); Wed, 29 Dec 2021 14:50:02 +0000
Received: (at 7782) by debbugs.gnu.org; 29 Dec 2021 14:49:45 +0000
Received: from localhost ([127.0.0.1]:48335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2aGu-0004eO-M3
	for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 09:49:44 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n2aGs-0004e7-Uz
 for 7782 <at> debbugs.gnu.org; Wed, 29 Dec 2021 09:49:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WzgHV/Tevg0tbwdhunXTpU1WMVlyBzocJvH9gNyVfvY=; b=TzVDtIUWJKoKRnfN9nHqTsDZMv
 40fScpk27XmdidUbDvGYrWlsiEx/EQ/RBNADn0vwY5E6Ke7Js2NFpgrj57naDDAal2AjyKO0uQAB3
 /VNs7lARpbWN1QiaVj2ABOF8NRG1LVpINFOAigJbfNO79qZd/QlB3XsilYLICKUZzMbs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n2aGi-0006tX-8z; Wed, 29 Dec 2021 15:49:34 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87aajhgjv4.fsf@HIDDEN>
 <frei8kcqmv.fsf@HIDDEN>
 <jwv4o9gjpjo.fsf-monnier+emacs@HIDDEN> <87y2502jxm.fsf@HIDDEN>
 <CADwFkmmnhXJu=fg2JECo0LEm-ExHFDZsJH+7RRG=mEiR_vxAuA@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEX+/OfJs5vCkmie
 UT0mERNgJSN0VUb///98IOfRAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+UMHQ4oMnLKkPIAAAG4SURB
 VDjLbdNRcusgDAVQ+60gOBso0jT/RUNWgFdg6H+dNvtfwrsS4JC0zPSjPkZcyWSantfM01mIJE2v
 QI43ieUVHJGXUmL6BSKylVLyKyyM93UNMJ/wt6B8g5Pr1b1Cfb6VjAf91LdpnqlBzBMZzAvinP5R
 BynTzs4WYXFoIID7nXyDRegZ2hYP5FgrSQR8OXdU43aE7fAdluHs/DdEhd09QCuJHo1ZjaB9owz6
 Th1queXdkmJSChbKe229Qz5gqUDveI75dvBErkJE/dLB2zQ0kre02wOWgB0sdVJ2ExR2a8x9sOys
 IB0C4qNUENkl/FiDFTBbjBtw3yR820Ry2+GIhVmuN5E8ABmcie8ijEjSwRsEudxwjGYd4YyD5RYC
 tzuFtSoE3G+8jlL5gFbqyhpApPwCQiz8KlYMqh5hpRa57hqAL4+0FRgQNNlaS+VhB04IBNi0jw7o
 WuyGXhNGFR99II4BxXSEOiAg22Vow2alIIgVi33aktdhhy793HYXVr1XuDTUn2N96i1MBqIfTl8s
 a+r9lQb1KqP05wjcIKcKmiqPkAZYFaj+Kuzf3kfBSBqkJ1jz+h9Ajeeus5t/rAAAACV0RVh0ZGF0
 ZTpjcmVhdGUAMjAyMS0xMi0yOVQxNDo0MDo1MCswMDowMKavV5oAAAAldEVYdGRhdGU6bW9kaWZ5
 ADIwMjEtMTItMjlUMTQ6NDA6NTArMDA6MDDX8u8mAAAAAElFTkSuQmCC
X-Now-Playing: Four Tet's _Pause_: "You Could Ruin My Day"
Date: Wed, 29 Dec 2021 15:49:30 +0100
In-Reply-To: <CADwFkmmnhXJu=fg2JECo0LEm-ExHFDZsJH+7RRG=mEiR_vxAuA@HIDDEN>
 (Stefan Kangas's message of "Tue, 28 Dec 2021 19:05:40 -0800")
Message-ID: <87ee5v8o05.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > How many
 kilobytes
 does not preloading it save? It might be that the > savings are so small
 that the code simplification is more worthwhile. I think it's less a matter
 of kilobytes, but more a sense of "cleanliness" that some people want to
 achieve. On the other hand, there's not really much to win to cater to that
 feeling, so perhaps we s [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> How many kilobytes does not preloading it save?  It might be that the
> savings are so small that the code simplification is more worthwhile.

I think it's less a matter of kilobytes, but more a sense of
"cleanliness" that some people want to achieve.  On the other hand,
there's not really much to win to cater to that feeling, so perhaps we
should always define functions like that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 22 Jan 2022 14:27:01 +0000
Resent-Message-ID: <handler.7782.B7782.164286157714401 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7782
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Stefan Kangas <stefan@HIDDEN>
Cc: Glenn Morris <rgm@HIDDEN>, Tim Cross <theophilusx@HIDDEN>, Stefan Monnier <monnier@HIDDEN>, 7782 <at> debbugs.gnu.org
Received: via spool by 7782-submit <at> debbugs.gnu.org id=B7782.164286157714401
          (code B ref 7782); Sat, 22 Jan 2022 14:27:01 +0000
Received: (at 7782) by debbugs.gnu.org; 22 Jan 2022 14:26:17 +0000
Received: from localhost ([127.0.0.1]:36071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBHLN-0003kD-CO
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 09:26:17 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nBHLL-0003jx-JY
 for 7782 <at> debbugs.gnu.org; Sat, 22 Jan 2022 09:26:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Qt48st8EKhPtAiBJ0z8/B1xaAEf9ZKlb7uzkA6DdR84=; b=W2cFTzSfoWwPmXbWQxSpDsyXAD
 1zEVDB+NaNihJYb1zcQpZ4HKopEPdCUEi/9uHDrBQl088ikKW9QK1jl28GgDT4OZwqQ1v/y+SiaNG
 5ImGAjJsHoMrTNp+38YHl+W9SXA08iqGMhXE1fYdk2RhUxlU6Mh0ixCAV5CTdI/LZC0U=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nBHLB-00061r-BK; Sat, 22 Jan 2022 15:26:07 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87aajhgjv4.fsf@HIDDEN>
 <frei8kcqmv.fsf@HIDDEN>
 <jwv4o9gjpjo.fsf-monnier+emacs@HIDDEN> <87y2502jxm.fsf@HIDDEN>
 <CADwFkmmnhXJu=fg2JECo0LEm-ExHFDZsJH+7RRG=mEiR_vxAuA@HIDDEN>
 <87ee5v8o05.fsf@HIDDEN>
X-Now-Playing: Richard Strange's _The Live Rise of Richard Strange_: "I
 Won't Run Away"
Date: Sat, 22 Jan 2022 15:26:04 +0100
In-Reply-To: <87ee5v8o05.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 29 Dec 2021 15:49:30 +0100")
Message-ID: <87pmojj18j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > I think it's
 less a matter of kilobytes, but more a sense of > "cleanliness" that some
 people want to achieve. On the other hand, > there's not really much to win
 to cater to that feeling, so perhap [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I think it's less a matter of kilobytes, but more a sense of
> "cleanliness" that some people want to achieve.  On the other hand,
> there's not really much to win to cater to that feeling, so perhaps we
> should always define functions like that.

Nobody seemed to have a strong opinion one way or another, but
pre-loading these things in all configurations may lead to regressions
for people (they may be doing (fboundp 'scroll-bar-scale) etc to see
whether we're in a non-X build), so I think it makes more sense to
change nothing here, and I'm therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 22 Jan 2022 14:26:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 09:26:20 2022
Received: from localhost ([127.0.0.1]:36074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBHLQ-0003kS-Lq
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 09:26:20 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nBHLP-0003k3-DU
 for control <at> debbugs.gnu.org; Sat, 22 Jan 2022 09:26:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=gef8iO0AbBjSLR3iOYsH/+5bvQZoePRkIKMrAWuGMOM=; b=Xk2c/qaHkMDHQM/4zspj8DSwLT
 8ImgAib+dMRWEtbIGMyVQwxymggmUawtBat370WrZwia28cvfh3k6vvQS9tu6V76esxLGJjQsMruX
 7CXJucTSwZ4a+pduXNOOE+ueGTfiD7oKfBC734CIB60DQ9LYRZJdBko1ae+HLDm0A0/w=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1nBHLH-00061y-Fe
 for control <at> debbugs.gnu.org; Sat, 22 Jan 2022 15:26:13 +0100
Date: Sat, 22 Jan 2022 15:26:11 +0100
Message-Id: <87o843j18c.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #7782
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 7782 wontfix close 7782 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 7782 wontfix
close 7782
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 22 Jan 2022 14:26:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 22 09:26:20 2022
Received: from localhost ([127.0.0.1]:36074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nBHLQ-0003kS-Lq
	for submit <at> debbugs.gnu.org; Sat, 22 Jan 2022 09:26:20 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nBHLP-0003k3-DU
 for control <at> debbugs.gnu.org; Sat, 22 Jan 2022 09:26:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=gef8iO0AbBjSLR3iOYsH/+5bvQZoePRkIKMrAWuGMOM=; b=Xk2c/qaHkMDHQM/4zspj8DSwLT
 8ImgAib+dMRWEtbIGMyVQwxymggmUawtBat370WrZwia28cvfh3k6vvQS9tu6V76esxLGJjQsMruX
 7CXJucTSwZ4a+pduXNOOE+ueGTfiD7oKfBC734CIB60DQ9LYRZJdBko1ae+HLDm0A0/w=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1nBHLH-00061y-Fe
 for control <at> debbugs.gnu.org; Sat, 22 Jan 2022 15:26:13 +0100
Date: Sat, 22 Jan 2022 15:26:11 +0100
Message-Id: <87o843j18c.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #7782
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 7782 wontfix close 7782 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 7782 wontfix
close 7782
quit






Last modified: Sat, 22 Jan 2022 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.